#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
    int *nizA;
	int n,k;
	int isp=0;
	cin>>n>>k;
	nizA = new int [n];
	for (int i=0;i<n;i++)
		cin>>nizA[i];
	for (int i=0;i<n-1;i++)
	{
		if (k==nizA[i])
			isp=nizA[i+1];
	}
	if (isp!=0)
		cout<<isp;
	else
		cout<<nizA[0];
    	return 0;
}